org.gradle.jvmargs=-Xmx2048m -XX:MaxMetaspaceSize=512m -XX:ReservedCodeCacheSize=256m -XX:+HeapDumpOnOutOfMemoryError -XX:+UseParallelGC
android.useAndroidX=true

# Disable parallel builds to reduce memory usage
org.gradle.parallel=false
org.gradle.caching=true

# Disable lint to reduce memory usage during release build
android.enableR8.fullMode=false
